MAKEHYPER(6)

NAME
makehyper - generate a GNU Backgammon Hypergammon position database

SYNOPSIS
makehyper [-nvh] [-f filename] [-r filename] [-c chequers] [-t threshold]

DESCRIPTION
Hypergammon is a variation of backgammon with a much reduced number of chequers (usually three). It's possible to fully analyse this simplified game and generate a database of position evaluations in order to play perfectly. makehyper generates such a position evaluation database.

Since many of the positions are in contact, it's not possible to generate the database in one pass; instead, makehyper iterates until the position evaluation converges. The convergence threshold can be changed with the -t option.

OPTIONS

-f filename, --outfile filename
    Write the hypergammon database to filename. Default is "hyper<number of chequers>.bd", the name expected by GNU Backgammon when using the database.

-r filename, --restart filename
    Restart calculation of the database from the given file, which should be a checkpoint from an earlier run.

-c chequers, --chequers chequers
    Set the number of chequers in the game. The default is 3, for normal 3-chequer hypergammon.

-n, --no-checkpoint
    Do not write a checkpoint file after each iteration.

-t threshold, --threshold threshold
    Set the convergence threshold. The default is 1e-5.

-v, --version
    Show version information and exit.

-h, --help
    Display usage and exit.

SEE ALSO
gnubg(6)

AUTHORS
Joseph Heled, Øystein Johansen, Jørn Thyssen, and Gary Wong, with the assistance of many others <bug-gnubg@gnu.org>.

This manual page was written by Russ Allbery <rra@debian.org>, for the Debian GNU/Linux system (but may be used by others). It may be redistributed and/or modified under the terms of version 2 of the GNU General Public License as published by the Free Software Foundation (the same license as GNU Backgammon).